Subject: Re: bug#17036: Continuation for Emacs: invoking a process on exit?

From: Eli Zaretskii <[email-masked]>
Date: Fri, 21 Mar 2014 09:53:33 +0200

> Date: Thu, 20 Mar 2014 23:10:19 +0000
> From: Reuben Thomas <[email-masked]>
> Cc: Stefan Monnier <[email-masked]>, Andreas Schwab <[email-masked]>, 
> 	[email-masked]
> 
> I'm sorry, I seem to have made a total hash of explaining something really
> simple. In effect, I want kill-emacs-and-exec, which takes a list of
> arguments, runs kill-emacs, and then execs the argument list.

As long as it does what you want, fine.  But please note that this is
not the same as exiting Emacs and starting a new session, because the
original Emacs didn't shut down all the way, and the PID is the same.